Description

Non tutti i pacchetti ad oggi in uso nella didattica ed elencati alla pagina https://work.fuss.bz.it/projects/fuss/wiki/SoftwareFuss8
possono essere facilmente installati nelle distribuzioni fuss-client-full e fuss-full-standalone

Servirebbero degli script di post installazione per i pacchetti restanti.

Uno degli script in particolare dovrebbe installare software per le lim.

History

#1 - 05/31/2017 09:39 AM - Christopher R. Gabriel
- Status changed from Nuovo to Commenti

- Assignee changed from TRUELITE to Paolo Dongilli

Oltre a quello per lim, indicato nella pagina, quali sono gli altri software specifici da prendere in considerazione in questa richiesta?

#2 - 05/31/2017 10:32 AM - Paolo Dongilli
- Assignee changed from Paolo Dongilli to Christopher R. Gabriel

Christopher R. Gabriel ha scritto:

Oltre a quello per lim, indicato nella pagina, quali sono gli altri software specifici da prendere in considerazione in questa richiesta?

Ci sono metapacchetti/pacchetti residui attualmente in uso nelle scuole per i quali dev'essere possibile l'installazione attraverso un semplice script:

Infine, serve uno script per installare il software che andra installato sui PC/notebook collegati alle LIM:

e https://work.fuss.bz.it/projects/fuss/wiki/SoftwareFuss8#Software-per-le-LIM
https://work.fuss.bz.it/projects/fuss/wiki/SoftwareFuss8
https://work.fuss.bz.it/projects/fuss/wiki/SoftwareFuss8#Metapacchetto-fuss-multimedia-extra-Codec-audio-e-video-tools-per-lauthoring-multimediale
https://work.fuss.bz.it/projects/fuss/wiki/SoftwareFuss8#Metapacchetto-fuss-multimedia-extra-Codec-audio-e-video-tools-per-lauthoring-multimediale
https://work.fuss.bz.it/projects/fuss/wiki/SoftwareFuss8#Metapacchetto-fuss-nonfree
https://work.fuss.bz.it/projects/fuss/wiki/SoftwareFuss8#Software-da-installare-non-presenti-nei-repository
https://work.fuss.bz.it/projects/fuss/wiki/SoftwareFuss8#Software-per-le-LIM

#3 - 06/01/2017 02:38 PM - Elena Grandi

Per la parte multimedia, innanzitutto notavo che la pagina linkata suggerisce ancora I'aggiunta del repository deb-multimedia, che invece ormai &
inutile e dannoso.

Vedo anche che ¢ elencato libdvdcss2, mentre il modo migliore per installare quella libreria al momento & libdvd-pkg (presente in
jessie-backports/contrib).

Per il resto, mi pare che il metapacchetto (nella versione al momento presente su archive per jessie) si installa senza bisogno di nessuno script.

Rimangono gli altri due.

#4 - 06/05/2017 04:26 PM - Paolo Dongilli

Elena Grandi ha scritto:

Per la parte multimedia, innanzitutto notavo che la pagina linkata suggerisce ancora I'aggiunta del repository deb-multimedia, che invece ormai &
inutile e dannoso.

Vedo anche che ¢ elencato libdvdcss2, mentre il modo migliore per installare quella libreria al momento & libdvd-pkg (presente in
jessie-backports/contrib).

Il vostro suggerimento ed ev.li correzioni relativamente a pacchetti fuori standard Debian sono preziosi e necessari per avere una distribuzione pulita,
completa e funzionante per le scuole.

Per il resto, mi pare che il metapacchetto (nella versione al momento presente su archive per jessie) si installa senza bisogno di nessuno script.

Forse la mia richiesta € stata poco chiara. La necessita di uno (o piu) script € per quei pacchetti di terze parti che dovranno poter essere installati in
modo semplice dai tecnici delle scuole, p.es.

https://work.fuss.bz.it/projects/fuss/wiki/Software Fuss8#Software-da-installare-non-presenti-nei-repository

#5 - 06/12/2017 01:12 PM - Christopher R. Gabriel
- Assignee changed from Christopher R. Gabriel to Paolo Dongilli

Per capire, immaginavi che tutta quella procedura fosse messa in uno script che viene installato da qualche pacchetto (tipo fuss-desktop o simili) ?

Oppure qualcos'altro? Perche' se parli dei tecnici delle scuole e' un conto, ma la standalone e' pensate per essere utilizzata fuori dalle scuole, e Ii'
https://work.fuss.bz.it/projects/fuss/wiki/SoftwareFuss8#Software-da-installare-non-presenti-nei-repository

non so se lo script ha senso o0 meno.

#6 - 06/12/2017 10:54 PM - Paolo Dongilli
- Assignee changed from Paolo Dongilli to Christopher R. Gabriel

Christopher R. Gabriel ha scritto:

Per capire, immaginavi che tutta quella procedura fosse messa in uno script che viene installato da qualche pacchetto (tipo fuss-desktop o simili)
?

Si, esatto, ad uso e consumo dei tecnici delle scuole per aggiungere i pacchetti restanti ad oggi in uso nelle scuole. Un pacchetto (che potremmo
chiamare fuss-restricted-extras) che lancia uno script per l'installazione di tutti quei software rimanenti che non sono standard Debian. Script che
alla bisogna verra modificato per aggiungere nuovo software richiesto dagli insegnanti se necessario anche se la speranza e che gradualmente
vengano adottati software presenti in Debian depotenziando questo pacchetto.

Oppure qualcos'altro? Perche' se parli dei tecnici delle scuole €' un conto, ma la standalone e' pensate per essere utilizzata fuori dalle scuole, e
li' non so se lo script ha senso o0 meno.

No no, non parlo della standalone. La standalone va bene cosi com'é e deve mantenere un alto grado di purezza.

#7 - 06/14/2017 04:02 PM - Christopher R. Gabriel
- Project changed from fuss-client to Nuovi Sviluppi

- Assignee changed from Christopher R. Gabriel to Paolo Dongilli

Paolo Dongilli ha scritto:
Christopher R. Gabriel ha scritto:

Per capire, immaginavi che tutta quella procedura fosse messa in uno script che viene installato da qualche pacchetto (tipo fuss-desktop o
simili) ?

Si, esatto, ad uso e consumo dei tecnici delle scuole per aggiungere i pacchetti restanti ad oggi in uso nelle scuole. Un pacchetto (che
potremmo chiamare fuss-restricted-extras) che lancia uno script per l'installazione di tutti quei software rimanenti che non sono standard
Debian. Script che alla bisogna verra modificato per aggiungere nuovo software richiesto dagli insegnanti se necessario anche se la speranza e
che gradualmente vengano adottati software presenti in Debian depotenziando questo pacchetto.

Direi che il pacchetto installa lo script, poi lanciando lo script si aggiungono repository e si installano pacchetti. Ok?

Oppure qualcos'altro? Perche' se parli dei tecnici delle scuole €' un conto, ma la standalone e' pensate per essere utilizzata fuori dalle
scuole, e li' non so se lo script ha senso o0 meno.

No no, non parlo della standalone. La standalone va bene cosi com'é e deve mantenere un alto grado di purezza.

Chiedevo perche' €' nel subject del ticket, non per altro :)

#8 - 06/18/2017 12:36 AM - Paolo Dongilli
- Assignee changed from Paolo Dongilli to Christopher R. Gabriel

Christopher R. Gabriel ha scritto:
Paolo Dongilli ha scritto:

Christopher R. Gabriel ha scritto:

Per capire, immaginavi che tutta quella procedura fosse messa in uno script che viene installato da qualche pacchetto (tipo
fuss-desktop o simili) ?

Si, esatto, ad uso e consumo dei tecnici delle scuole per aggiungere i pacchetti restanti ad oggi in uso nelle scuole. Un pacchetto (che
potremmo chiamare fuss-restricted-extras) che lancia uno script per l'installazione di tutti quei software rimanenti che non sono standard
Debian. Script che alla bisogna verra modificato per aggiungere nuovo software richiesto dagli insegnanti se necessario anche se la
speranza € che gradualmente vengano adottati software presenti in Debian depotenziando questo pacchetto.

Direi che il pacchetto installa lo script, poi lanciando lo script si aggiungono repository e si installano pacchetti. Ok?

Ok.

Oppure qualcos'altro? Perche' se parli dei tecnici delle scuole e' un conto, ma la standalone e' pensate per essere utilizzata fuori dalle
scuole, e li' non so se lo script ha senso o0 meno.

No no, non parlo della standalone. La standalone va bene cosi com'é e deve mantenere un alto grado di purezza.

Chiedevo perche' e' nel subject del ticket, non per altro :)

Direi che ci siamo capiti. E' un pacchetto che se uno vuole installa su Debian 8 e derivate fuss-standalone compresa. Il punto & che di certo noi non
ne incoraggiamo l'installazione.

Capisco che la creazione di questo pacchetto € una cosa che si deve fare a denti stretti. | software elencati perd sono in uso. Bisognera formare gli
insegnanti su alternative presenti in main di Debian e dopo lo switch gettare a mare questo pacchetto.
#9 - 07/10/2017 11:22 AM - Christopher R. Gabriel
- Assignee changed from Christopher R. Gabriel to Paolo Dongilli

Riassegno a Paolo a seguito di riunione telefonica.
#10 - 05/18/2018 03:01 PM - Paolo Dongilli
- Status changed from Commenti to Risolto

- % Done changed from 0 to 100

Risolto con creazione di immagini Clonezilla "unofficial".
